# TV :	DON'T USE find_lang on gimp, it only guess gimp.mo not
# imp-std-plugins.mo and gimp-script-fu.mo

%define lib_major 12
%define lib_minor 0
%define lib_revision  0
%define c_major	1
%define c_minor	3
%define c_rev	12
#%define pre		  -pre2
%define lib_subver    %lib_major.%lib_minor
%define c_subver    %c_major.%c_minor
%define c_subver2    1.4
%define ver       %{lib_subver}.%{lib_revision}
%define rel		1mdk
# Non Versionnated lib name :
%define nvlibname libgimp
# Sub Version lib name:
%define libname  %nvlibname%{lib_major}

%define perlver 5.8.0

# define to update aclocal.m4 with new libtool.m4
%define regenerate_configure 0
%ifarch x86_64 mips
%define regenerate_configure 1
%endif

Summary: GNOME http client library.
Summary:		The GNU Image Manipulation Program
Name:			gimp%{c_major}_%c_minor
Epoch:			1
Version:		%c_major.%c_minor.%c_rev
Release:		%rel
License:		GPL
Group:			Graphics
URL:			http://www.gimp.org/

Source:			ftp://ftp.gimp.org/pub/gimp/v%{c_subver}/v%{PACKAGE_VERSION}/gimp-%version.tar.bz2
Source3:		gimp.desktop
Source10:		gimp-16.png
Source11:		gimp-32.png
Source12:		gimp-48.png
Source13:		gimp-scripting-sample.pl

BuildRoot:		%_tmppath/%name-%version-buildroot
Obsoletes:		gimp-data-min hackgimp
Provides:		gimp-data-min hackgimp
BuildConflicts:		libbmpeg-devel
#Requires:		libbmpeg
Requires:		libpng libjpeg libgtk+2.0_0 >= 2.0.6 glib >= 1.2.8 zlib
#BuildRequires: 	libbmpeg-devel
BuildRequires: 	libpng-devel, libjpeg-devel, aalib-devel, xpm-devel, gpm-devel, gnome-libs-devel, ncurses-devel, slang-devel, libtiff-devel, perl-devel = %{perlver}, perl-Parse-RecDescent, perl-PDL, perl-GTK, chrpath, python-devel, libgimpprint-devel

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

%package -n %{libname}-devel
Summary:	GIMP plugin and extension development kit
Group:		Development/C
Requires:	libgtk+2.0_0-devel
Prereq:		/sbin/install-info
Epoch:		1
Requires:	%{libname} = %version-%release
Provides: gimp-devel
Provides: libgimp-devel = %version-%release
Provides: libgimp1.2-devel = %version-%release
Provides: libgimp1.1_32-devel
Obsoletes: libgimp1.1_32-devel

%description -n %{libname}-devel
Static libraries and header files for writing GIMP plugins and extensions.

%package -n %libname
Summary:	GIMP libraries
Group:		System/Libraries
Epoch:		1
License:	LGPL
Provides:	gimp-libgimp libgck.so.1 libgimp.so.1 libgimpui.so.1
Provides:	libgimp = %version-%release
Conflicts: gimp <= 1.2.3-9mdk

%description -n %libname
This is the versionated library that contains the gimp fonctionnality core.
It enable other programs to use gimp's features but is mainly intended
to be used by the GIMP and its "external" plugins.
It contains :
* libgck: color managment
* libgimp: the gimp features core
* libgimpui: the gimp GUI part

%package perl
Summary:	GIMP perl extensions
Group:		Graphics
Requires:	gimp = %version-%release
Requires:	perl => 2:5.8.0, perl-Parse-RecDescent, perl-PDL, perl-GTK

%description perl
The gimp-perl package contains all the perl extensions of the GIMP. 

%prep
%setup -q -n gimp-%version
%if %{regenerate_configure}
aclocal && autoconf
%endif

%build
# this is indented due to broken vim syntaxing rules
 %ifarch %ix86 ppc
 RPM_OPT_FLAGS="$RPM_OPT_FLAGS -ffast-math"
 %endif

 %ifarch alpha
 MYARCH_FLAGS="--host=alpha-mandrake-linux"
 %endif
perl -pi -e "s/(<|\"|-l| )mpeg/\1bmpeg/g" configure

#%configure --mandir=$RPM_BUILD_ROOT%{_mandir} --with-mp=yes
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%_prefix --sysconfdir=%_sysconfdir \
	--mandir=$RPM_BUILD_ROOT%_mandir --libdir=%{_libdir} \
	--with-mp=yes --disable-python

eval `perl -V:installarchlib`
perl -pi -e "s!-Wl,-rpath,$installarchlib/CORE!!g" plugins/perl/Makefile

#TV : we don't use %%make here because it broke the build some times,
#depending on the order in which make launch some jobs
make

bzip2 docs/*ps

%install
rm -fr $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{%_menudir,%_infodir,%_iconsdir/mini,%_includedir,%_bindir,%_libdir/gimp/%c_subver/plug-ins,etc/X11/wmconfig,%_sysconfdir}

make prefix=$RPM_BUILD_ROOT/%_prefix \
     bindir=$RPM_BUILD_ROOT/%_bindir \
     libdir=$RPM_BUILD_ROOT/%_libdir \
     mandir=$RPM_BUILD_ROOT/%_mandir \
     infodir=$RPM_BUILD_ROOT/%_infodir \
     datadir=$RPM_BUILD_ROOT/%_datadir \
     includedir=$RPM_BUILD_ROOT/%_includedir \
     gimpplugindir=$RPM_BUILD_ROOT/%_libdir/gimp/%c_subver \
     gimpdatadir=$RPM_BUILD_ROOT/%_datadir/gimp/%c_subver \
     PREFIX=$RPM_BUILD_ROOT/%_prefix \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT%_mandir/man3pm \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%_mandir/man1 \
     gimpsysconfdir=$RPM_BUILD_ROOT/%_sysconfdir/gimp/%c_subver \
     sysconfdir=$RPM_BUILD_ROOT/%_sysconfdir/ \
     install

#
# Remove the GIMP-Print plugin
#
rm $RPM_BUILD_ROOT/%_libdir/gimp/%c_subver/plug-ins/print

#
# This perl madness will drive me batty
#
%{_datadir}/spec-helper/spec-helper || :

# install desktop entry (does Mandrake need this ?)
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/etc/X11/applnk/Graphics

#cd docs
#make prefix=$RPM_BUILD_ROOT/usr install

mkdir -p $RPM_BUILD_ROOT%_iconsdir/{large,mini}
cat %SOURCE10 > $RPM_BUILD_ROOT%_iconsdir/mini/wilbur.png
cat %SOURCE11 > $RPM_BUILD_ROOT%_iconsdir/wilbur.png
cat %SOURCE12 > $RPM_BUILD_ROOT%_iconsdir/large/wilbur.png

cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="gimp-%c_subver" icon="wilbur.png" section="Multimedia/Graphics" title="The GIMP %version" longtitle="The GNU Image Manipulation Program" needs="x11" mimetypes="image/gif;image/jpeg;image/png;image/tiff;image/x-xbm;image/x-xpm;image/bmp;image/fits;image/pcx;image/pix;image/pnm;image/x-bmp"
EOF


pushd $RPM_BUILD_ROOT%_libdir/
	# compat symlink to get stuff working.
	/sbin/ldconfig -n $PWD -v
	for i in gimp{,ui} gck; do
		ln -s lib$i-%lib_subver.so.%{lib_major}.0.1 lib$i.so.%lib_major
	done
popd

# gimp-perl example
cp -f %SOURCE13 .

# workaround broken help system
HELP_DIR=$RPM_BUILD_ROOT%_datadir/gimp/%c_subver/help/C
[[ -d $HELP_DIR ]] || mkdir -p $HELP_DIR
HELP_IDX=$HELP_DIR/introduction.html
#for i in $RPM_BUILD_ROOT%_datadir/gtk-doc/html/*/index.html; do
#	ln -fs $i ${i%index.html}contents.html
#done
echo -e '<HTML><HEAD><TITLE>GIMP Base Library</HEAD>\n<BODY><UL>' > $HELP_IDX

/bin/ls $RPM_BUILD_ROOT%_datadir/gtk-doc/html/*/index.html | sed -e "s@$RPM_BUILD_ROOT@@g" >> $HELP_IDX
perl -pi -e 's!(.*/html/)([^/]*)(/index.html)!<LI><A HREF="\1\2\3">\2</A>!g' $HELP_IDX
#'%s!\(.*/html/\)\([^/]*\)\(/index.html\)!<LI><A HREF="\1\2\3">\2</A>'

echo '</UL></BODY></HTML>' >> $HELP_IDX

for i in contents index; do ln -s $HELP_DIR/{introduction,$i}.html; done

#
# Auto detect the lang files.
#
%find_lang gimp14
%find_lang gimp14-libgimp
%find_lang gimp14-std-plug-ins
%find_lang gimp14-script-fu
cat gimp14*.lang > gimp.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f gimp.lang
%attr(-,root,root) %config(missingok,noreplace) /etc/X11/applnk/Graphics/gimp.desktop
%defattr(-,root,root,0755)
%dir %_datadir/icons/mini
%_datadir/gimp/%c_subver/
%_datadir/gtk-doc/html/*
%_libdir/pkgconfig/*
%_libdir/gimp/%c_subver
%_iconsdir/mini/wilbur.png
%_iconsdir/large/wilbur.png
%_iconsdir/wilbur.png
%_menudir/%name
# Don't include this file, it's part of printer-utils
#%_bindir/escputil
%_bindir/gimp-%{c_subver}
%_bindir/gimp-remote-%{c_subver}
%config(noreplace) %_sysconfdir/gimp/%c_subver/*
%_mandir/man1/gimp-%{c_subver}*
%_mandir/man1/gimp-remote*
%_mandir/man5/gimprc-%{c_subver}*
%doc AUTHORS COPYING ChangeLog* MAINTAINERS INSTALL NEWS README
%doc PLUGIN_MAINTAINERS docs/*.txt docs/Wilber* README.i18n
%doc README.win32

%files -n %{libname}-devel
%defattr(-,root,root,0755)
%_bindir/gimptool-%{c_subver}
#%{_datadir}/gimp/%{subver}/devel-docs/html/libgimp/*
%_datadir/aclocal/gimp-%{c_subver2}.m4
%_includedir/*
%_libdir/*.so
%_libdir/lib*.a
%_libdir/lib*.la
%_mandir/man1/gimptool-%{c_subver}*

%files -n %libname
%defattr(-,root,root,755)
%doc COPYING
%_libdir/libgimp*.so.*
%_libdir/libgck*.so.*


%changelog
* Wed Feb 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.12-1mdk
- new release
- remove patch 0 (merged upstream)

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.11-1mdk
- new release

* Wed Nov 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.10-1mdk
- new release :
  o text tool can load text files now 
  o some unfinished work on the imagemap tools and related widgets 
  o undeprecated ink tool 
  o slightly tweaked the look and feel of the toolbox 
  o ported module loading to GTypeModule 
  o resurrected the water color selector 
  o reworked module browser 
  o moved generic datafile loading to LibGimpBase 
  o added new widgets : GimpColorScale GimpPickButton 
  o added a color selector dock 
  o added new layer modes
  o Gimp-Python is includeded
  o lots of bug fixes
- disable gimp-python (since pygtk is too old for now)
- buildrequires: libgimpprint-devel
- less hardcoded numbers
- workaround broken help system

* Fri Oct 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.9-1mdk
- new release:
	o Some minor improvements to the text tool 
	o Started to cleanup DND code 
	o Added GimpViewableDialog 
	o Improved UI of color adjustment tools 
	o Added new icons 
	o Added GimpSelectionEditor, a view on the current selection 
	o Improved imagemap plug-in 
	o GUI cleanups 
	o Build fixes 
	o Lots of bug fixes

* Tue Aug 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.8-1mdk
- new release:
	o Lots of plugins cleaned up and improved 
	o More work on the help browser 
	o Core code cleanup 
	o Improved icons 
	o Fixed permissions of shared memory segments
	o Bug fixes

* Fri Aug 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.7-2.20020816mdk
- cvs snapshot

* Fri Aug 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.7-1mdk
- gtk2 port
- big spec cleaning (next release will be "alternativization")

* Wed Aug 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-15mdk
- stricter dependance on %{svlibname}
- rebuild for new perl again
- fix build with threaded perl [Patch 100]
- in order to ease mkd8.2 update :
	o Obsoletes: hackgimp
	o gimp-doc, %libname : Conflicts: gimp <= 1.2.3-9mdk

* Tue Jul 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.3-14mdk
- Correctly create perl specific directories
- Regenerate configure script with update libtool.m4 within where necessary

* Mon Jul 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-13mdk
- fix hardcoded-library-path

* Fri Jul 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-12mdk
- fix s/([^%]){subver}/\1%suber/
- rebuild for perl 5.8.0: go to std manpath, use new perl macros, ...
- cleanups

* Thu Jun 20 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.3-11mdk
- re-arch neutralize chrpath fix
- rpmlint: configure-without-libdir-spec

* Tue Jun 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-10mdk
- versionnate the buildroot so that we can handle both gimp-1.2.x and
  gimp-1.3.x builds at the same time in the same user account
- split libgimp%subver_%libmajor in:
  - libgimp%%subver_%%libmajor contains the files versionnated to
	gimp-%%subver.%libmajor
  - libgimp%%subver which contains the files versionnated to gimp-%%subver
- rpm-build is needed so no need to test for its files
- homogenize $RPM_BUILD_ROOT/%%buildroot usage
- spec clean
- this cleaning enable to spot a gimp/1.2/ reference instead of %%subver
- reduce number %%_prefix occurences
- remove some useless find
- reduce the build dependancy on sh-utils
- remove README.perl from main gimp package since it's already in gimp-perl
- gimp-perl :
	- better fix for the perl-ldap conflict
	- s/cp -af/ln -f/ on perl doc for faster build
	- prevent double inclusion of gimp-perl.files
	- gimp-perl now requires all perl dependancies of gimp
- create subpackage doc:
	- disable doc by default (Patch 6)
	- move helpbrowser to gimp-doc
	- moves gimpdoc to gimp-doc since gimp's doc need perl
	- this enable us to *not* require perl for main package
	- move help files into gimp-doc
	- enable doc support on gimp-doc install
	- move postcript doc into gimp-doc
	- since gv now handle bzip2 postcript files, s/gzip/bzip2/ postcript
	  documentation
- move perl plugins to its own gimp-plugins-perl sub package

* Fri Jun  7 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.3-9mdk
- make chrpath fix arch neutral
- rpmlint: configure-without-libdir-spec

* Mon May 27 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-8mdk
- BuildRequires: chrpath (Todd Lyons)

* Thu Apr 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-7mdk
- Patch url.c to deal with the fact that wget now outputs a "Resolving
  host.name.com.... done" line.  This throws off the hard-coded parsing
  function in url.c, and makes it impossible to open URL files.
  [Patch5]

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-6mdk
- remove rpath in perl so since /usr/lib is already in ldconfig cache

* Tue Mar 05 2002 David BAUDENS <baudens@mandrakesoft.com> 1.2.3-5mdk
- Fix bmp support for KDE

* Sat Feb 23 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.2.3-4mdk
- added BuildRequires perl-GTK, perl-Parse-RecDescent and perl-PDL to build
  a correct gimp-perl

* Wed Feb 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-3mdk
- add versionated man-pages too
- gimp requires gimp-perl because of gimp-doc (frederic crozat)

* Tue Feb 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-2mdk
- let gimp-perl requires right perl

* Tue Feb 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-1mdk
- new release

* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-0.3mdk
- xpm -> png icons

* Sun Jan 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-0.2mdk
- put man-pages in right place (reported by Goetz Waschk)

* Fri Nov 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-0.1mdk
- 1.2.3-pre2
- only one place to update version number
- gimp-perl example from guillaume
- fix gimp-perl man-page (Guillaume)

* Tue Oct 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-12mdk
- add missing files to gimp-perl (%%files with multiples -f doesn't work)

* Thu Oct 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-11mdk
- xed detection of libbmpeg (Gtz Waschk)
- remove old stuff from pre3

* Wed Oct 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-10mdk
- s!Serial!Epoch!g

* Wed Oct 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-9mdk
- \pakontan{suppress the 25 errors that dadou introduced aka
	'Dadou - Quick and dirty hack before 8.1' }
  you should have use %%find_lang, little jedi :-(

* Wed Oct 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-8mdk
- provides obsoletes

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-7mdk
- rebuild libgimp1.2_1-devel-1.2.2-6mdk was lost on mirrors
- replace reference of RPM SOURCE DIR
- Copyright --> License
- bzipped patch

* Fri Sep 21 2001 Pixel <pixel@mandrakesoft.com> 1.2.2-6md
- add patch gimp-1.2.2-pre3-scalable-font-only.patch.bz2 which forces the font
  selection dialog to only accept scalable font (needed since gimp forces the
  dpi of the font to dpi of the image, and so fails on non-scalable fonts)

* Wed Sep 19 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.2-5mdk
- Fix conflict with printer-utils and perl-ldap

* Tue Sep 18 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.2-4mdk
- Fix menu (mimetype)
- Add missing files
- Requires: %%version-%%release and not only %%version

* Mon Aug 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-3mdk
- make rpmlint happier
- add some doc for gimp-perl

* Tue Aug  3 2001 Till Kamppeter <till@mandrakesoft.com> 1.2.2-2mdk
- GIMP-Print plugin removed (will be provided by the "gimpprint" package)

* Fri Jul 27 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-1mdk
- new release

* Tue Jul 17 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-0.4mdk
- s!serial!epoch
- s/>=/ >= / (jeff)

* Mon Jul 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-0.3mdk
- versionnate the perl dependancy (Christian Bricart)
- libgimp-devel provides libgimp1.2-devel and not only
  %%{libname}-devel = %%{version}
- add missing so links
- fix perm on perl plug-ins directory

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-0.2mdk
- BuildRequires: slang-devel
- Removed BuildRequires: glib-devel gtk+-devel slang XFree86-devel zlib-devel

* Wed Jul 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-0.1mdk
- 1.2.2-pre3 (1.2.2'll come soon)
- clean support for lib major

* Wed May 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-6mdk
- fix lost symlinks
- various spec cleaning

* Fri Mar 16 2001 Francis Galiegue <fg@mandrakesoft.com> 1.2.1-5mdk

- Really make MPEG plugin compile

* Wed Mar 14 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-4mdk
- build release

* Wed Feb 28 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-3mdk
- provides	libgimp = %{version} rather than %%{libgimp}

* Tue Feb 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-2mdk
- remove lib links created by make since they break multiple lib install
  and let ldconfig make them at install time
- remove old gimp-print patch whis is no more used for a while
- few spec simplification

* Tue Jan 23 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-1mdk
- bugfix release

* Tue Jan 23 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-3mdk
- new release

* Wed Jan 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-3mdk
- add perl-devel to BuildRequires

* Mon Jan 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-2mdk
- explain the fix for broken build
- move the .so modules from libgimp in gimp so that one can install different
  version of it without conflicting (idem for lib symlink)
- now obsoletes previous libgimp1.x.y and -devel too so that it gets
  automatically removed from mirrors. The righ solution is, of course, that all
  distro agree on a stable ABI for binary compatibility between us
  and to put 1.2 as major for the lib and not the 31 from 1.1.31 for eg.

* Tue Dec 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0-1mdk
- from the nice people at gimp we get a new 1.2.0 stable version.

* Thu Dec 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.32-1mdk
- new latest_release_before_1.2final :-)
- ok, just found why some people see broken build with linking errors : it
  seems to be related to make -j => i just disabled MP build

* Tue Dec 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.30-1mdk
- new version

* Wed Dec 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.29-4mdk
- rename gimp-libgimp as libgimp

* Wed Dec 06 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1.29-3mdk
- PPC: rebuild with gcc-2.96 (egcs no longer needed :)

* Wed Nov 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.29-2mdk
- make rpmlint happier

* Wed Nov 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.29-1mdk
- new release

* Tue Oct 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.28-1mdk
-  new release
- fix building

* Thu Oct 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.27-1mdk
- new release

* Fri Oct  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.25-12mdk
- Fix menus (titisuchi).

* Thu Oct 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-11mdk
- rename icons

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-10mdk
- readd gimp to mime menu of kde from Gregory Letoquart (f**cking broken
  ml :-(; next time mail the rpm maintainner)

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-9mdk
- better icons in menus

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-8mdk
- fix gimp-print (Till)
- fix requires for new gimp-print

* Tue Oct 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-7mdk
- spec cleanup (1 define less to update)
- build release as requested by lord FredL

* Wed Sep 27 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.25-6mdk
- change gimp perl group to graphics

* Sun Sep 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1.25-5mdk
- Fix build on PPC

* Sat Sep 02 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.25-4mdk
- improve symlinking for compat. symlink.

* Wed Aug 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-3mdk
- fix bad links in description
- speed up %%install
- make installation of gimp-perl short-circuit compliant
- reuse macros removed by Jan

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-2mdk
- a few minor cleanings
- enable build to use SMP

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-1mdk
- new release
- fix mpeg plugin since the required lib conflicts with KDE2
- add support for SMP
- move the configure in build section, not in prepare one
- fix spec for new pixel spec-helper which delete "*.bs"

* Sun Aug 13 2000 Jan Dittberner <jan@jan-dittberner.de> 1.1.24-4mdk
- bzip2'ed perl patch
- set URL to correct directory

* Sat Aug 12 2000 Reinhard Katzmann <reinhard@suamor.de> 1.1.24-3mdk
- merged with gimp-spec from redhat
- file section improved due to merge (includes gimp-perl now!)
- added a few doc directories (files were already there)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.24-2mdk
- automatically added BuildRequires


* Fri Aug 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.24-1mdk
- BM. ok, this one really give me a hard time to build with new rpm :-(
- update to 1.1.24 and remove it from contribs
- don't use find_lang on gimp, it only guess gimp.mo not gimp-std-plugins.mo
  and gimp-script-fu.mo

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-15mdk
- BM & new macros

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.0.4-14mdk
- Somewhat fix the icons

* Mon Apr 17 2000 DindinX <odin@mandrakesoft.com> 1.0.4-13mdk
- patch for the logo script so they use 'avantgarde' font which is
  always installed (at least for western language).
  This should close the feature #39 for now, until gimp 1.2
- make the menu entry use the wilbur.xpm icon
- compressed icons

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-12mdk
- Grrr... Renamed icons because of a conflict with mandrake_desk

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-11mdk
- Weee... Major spec cleanup
- Menu entry
- Icons
- %files list fixes - was badly needed
- Titi sucks, no version in last changelog

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated to use our new tools (spechelper) and new namins standards
- add gimp manpage :-(
- compress the postscripts we provide

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize

* Tue Nov 02 1999 John Buswell <johnb@mandrakesoft.com>
- Rebuild and Repackage for oxygen

* Tue Oct 06 1999 Francis Galiegue <francis@mandrakesoft.com>
- Recompiled with gcc instead of pgcc, as the latest introduced bugs

* Thu Sep 02 1999 Francis Galiegue <francis@mandrakesoft.com>
- (thanks to Guiseppe Ghib <ghibo@linux-mandrake.com>) added gimptool
  to gimp-devel
- put in debug code, forgot to remove it, done
- (thanks to Guiseppe Ghib <ghibo@linux-mandrake.com>) added aalib
  plugin
* Tue Aug 31 1999 Francis Galiegue <francis@mandrakesoft.com>
- fixed a bug in Makefile.in that made %{_bindir}/install
  try to strip a shell script...
- gimp now prints

* Sun Apr 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removig the prefix=/usrcd/

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- install binaries stripped by default

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- updated to official 1.0.4 release

* Wed Mar 31 1999 Matt Wilson <msw@redhat.com>
- updated for 1.0.4 release
- requires gtk+ >= 1.2

* Sun Mar 14 1999 Matt Wilson <msw@redhat.com>
- updated for 1.0.3 release
- updated group

* Mon Apr 20 1998 Marc Ewing <marc@redhat.com>
- include *.xpm and .wmconfig in CVS source
- removed explicit glibc require

* Thu Apr 16 1998 Marc Ewing <marc@redhat.com>
- Handle builds using autogen.sh
- SMP builds
- put in CVS, and tweak for automatic CVS builds

* Sun Apr 12 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.26

* Sat Apr 11 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.25

* Wed Apr 08 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to version 0.99.24

* Sun Apr 05 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Stop building the docs - they require emacs and
  (even worse), you must run X.

* Fri Mar 27 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.23

* Sat Mar 21 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- No longer requires xdelta, that was a bug on my part
- spec cleanup, changed libgimp copyright, can now be
  built by non-root users, removed some lines in the description

* Fri Mar 20 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.22

* Sun Mar 15 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.21

* Thu Mar 12 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.20

* Mon Mar 09 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Recompiled with gtk+ 0.99.5
- Now requires gtk+ >= 0.99.5 instead of gtk+ 0.99.4
